Skip to main content
GET
/
scriptures
/
{scriptureId}
Get scripture
curl --request GET \
  --url https://api.thehaystack.ai/v2/haystack/scriptures/{scriptureId} \
  --header 'Authorization: Bearer <token>'
{
  "scripture": {
    "id": 123,
    "itemId": 123,
    "book": "<string>",
    "bookName": "<string>",
    "chapter": 123,
    "verseStart": 123,
    "verseEnd": 123,
    "citation": "<string>",
    "keyVerse": true,
    "suggested": true,
    "accepted": true,
    "displayOrder": 123,
    "text": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.thehaystack.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your API token from the Haystack dashboard

Path Parameters

scriptureId
integer
required

Query Parameters

translation
enum<string>

Include scripture text in this translation

Available options:
asv,
kjv

Response

200 - application/json

Scripture detail

scripture
object